<?php namespace App\Models;

use CodeIgniter\Model;

class OrgManageModel extends Model
{
    protected $DBGroup = 'default';                               //默认连接的数据库
    protected $table      = 'org_section';                        //指定模型要使用的数据库表
    protected $returnType     = 'array';

    protected $allowedFields = [                                  //允许更改，写入数据库的字段
        "org_section_name",
        "org_section_detail",
        "org_company_id",
        "org_company_name",
        "create_time"
    ];

    /****************************************************
     *       获取所有部门数据
     /****************************************************/
     public function getAllOrgSection(){
        $sql = 'select * from org_section';
        $obj = $this->db->query($sql);
        $result = $obj->getResultArray();
        return $result;
    }

    /****************************************************
     *       添加一条部门数据
     /****************************************************/
     public function insertOrgSection($data){
        $sql = 'insert into org_section (org_section_name,org_section_detail,create_time) value ("'
        .$data["org_section_name"].'","'
        .$data["org_section_detail"].'","'
        .$data["create_time"].'")';
        $insertObj = $this->db->query($sql);
     }

    /****************************************************
     *       删除一条部门数据
     /****************************************************/
     public function delOrgSection($id){
        $sql = "delete from org_section where id=".$id;
        $obj = $this->db->query($sql);
     }

    /****************************************************
     *       修改一条部门数据
     /****************************************************/
     public function updateOrgSection($data){
        $sql = 'update org_section set ';
        if($data["org_section_name"] != ""){
            $sql = $sql.'org_section_name="'.$data["org_section_name"].'"';
        }
        if($data["org_section_detail"] != ""){
            if($data["org_section_name"] != ""){
                $sql = $sql.',';
            }
            $sql = $sql.'org_section_detail="'.$data["org_section_name"].'"';
        }
        $sql = $sql.' where id="'.$data["id"].'"';
        $obj = $this->db->query($sql);
     }

}